xhost +
# IMAGE=gazebo-nv:amd-v0.3
IMAGE=mysim:noetic-amd-0.1-dev
# IMAGE=amd-glxgear:v0.3
sudo docker run -it --rm --name sim \
  -e DISPLAY=$DISPLAY \
  -v "/tmp/.X11-unix:/tmp/.X11-unix:rw" \
  --group-add video \
  --device /dev/dri:/dev/dri \
  --ipc=host --shm-size 16G --cap-add=SYS_PTRACE \
  --security-opt seccomp=unconfined \
  -v "${PWD}:/root/src" \
  --network rosnet \
  "${IMAGE}" bash /root/src/start_amd.sh
  # /root/src/start_m.sh
