#!/bin/bash

echo "launch gazebo"
tmux new-session -d \; \
    send-keys "bash run_docker_amd.sh" C-m \;

echo "launch myros"
tmux new-session -d \; \
    send-keys "bash run_docker_ros_dev.sh" C-m \;

sleep 1
echo "spawn a human"
tmux new-window \; \
    send-keys "docker exec -it app bash src/t_all.sh t2" C-m \;

# sleep 5
echo "setup components"
tmux new-window \; \
    send-keys "docker exec -it app bash src/t_all.sh t3m" C-m \;

# sleep 15
echo "run HRI engines"
tmux new-window \; \
    send-keys "docker exec -it app bash src/t_all.sh t4m" C-m \;

# sleep 15
echo "run SA"
tmux new-window \; \
    send-keys "docker exec -it app bash src/t_all.sh t5" C-m \;

# sleep 30
echo "operate human to walk"
tmux new-window \; \
    send-keys "docker exec -it app bash src/t_all.sh t5a" C-m \;
echo "finish script"

tmux a
